Skip to main content
GET
/
v3
/
discover
C#
using Prove.Proveapi;
using Prove.Proveapi.Models.Components;

var sdk = new ProveAPI(auth: "<YOUR_AUTH_HERE>");

var res = await sdk.Identity.V3DiscoverRequestAsync(proveId: "<id>");

// handle response
{
  "results": [
    {
      "attributeId": "123e4567-e89b-12d3-a456-426614174000",
      "issuerId": "\"prove\""
    },
    {
      "attributeId": "123e4567-e89b-12d3-a456-426614174000",
      "issuerId": "\"prove\""
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the /token endpoint. Refer to the Authentication page for more details.

Query Parameters

proveId
string
required

A unique Prove-generated identifier for the enrolled identity (UUID).

clientRequestId
string

A client-generated unique ID for a specific session. This can be used to identify specific requests. The format of this ID is defined by the client - Prove recommends using a GUID, but any format can be accepted. Do not include Personally Identifiable Information (PII) in this field.

Response

Successful Request.

results
Result defines a single discovered attribute. · object[]

A list of discovered attributes for the given ProveID.